%define progname	scikit
%define modname		learn
%define newmodname	sklearn
%define module		scikit-learn

%global __provides_exclude_from ^(%{python3_sitearch})/.*\\.so$

Summary:	Python modules for machine learning and data mining
Name:		python-%{module}
Version:	0.23.2
Release:	%mkrel 1
License:	BSD
Group:		Development/Python
Url:		http://scikit-learn.sourceforge.net/
Source0:	https://pypi.io/packages/source/s/scikit-learn/%{module}-%{version}.tar.gz
Patch1:		scikit-learn-0.21.3-linking.patch
BuildRequires:	blas-devel
BuildRequires:	libgomp-devel

%description
sklearn is a Python module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%package -n	python3-%{module}
Summary:	Python 3 modules for machine learning and data mining
Group:		Development/Python
BuildRequires:	python3-numpy-devel >= 1.14.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cython)
BuildRequires:	python3dist(joblib) >= 0.11
BuildRequires:	python3dist(scipy) >= 1.1.0
BuildRequires:	python3dist(matplotlib)
BuildRequires:	python3dist(nose) >= 0.10
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:	python3-scikits-learn
Provides:	python3-scikits-learn

%description -n	python3-%{module}
sklearn is a Python 3 module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%prep
%autosetup -n %{module}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%ifnarch %{arm}
%define enable_tests_python3 0
%if %{enable_tests_python3}
cd %{buildroot}%{python3_sitearch}/%{newmodname}/tests
nosetests-%{python3_version} -exe -v sklearn
cd -
%endif
%endif

%files -n python3-%{module}
%doc README.rst
%dir %{python3_sitearch}/%{newmodname}
%{python3_sitearch}/%{newmodname}/*
%{python3_sitearch}/%{progname}_%{modname}-*.egg-info


%changelog
* Mon Aug 31 2020 guillomovitch <guillomovitch> 0.23.2-1.mga8
+ Revision: 1620457
- new version 0.23.2

* Wed Jul 15 2020 daviddavid <daviddavid> 0.23.1-1.mga8
+ Revision: 1606205
- new version: 0.23.1

* Sat Apr 18 2020 guillomovitch <guillomovitch> 0.22.2.post1-1.mga8
+ Revision: 1568825
- fix package name: it is python-scikit-learn, not python-scikits-learn
- fix package name
- new version 0.22.2.post1

* Sun Feb 16 2020 umeabot <umeabot> 0.21.3-2.mga8
+ Revision: 1534495
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 daviddavid <daviddavid> 0.21.3-1.mga8
+ Revision: 1449225
- new version: 0.21.3
- rebuild for python3.8
- drop python2 support

* Sat Mar 02 2019 daviddavid <daviddavid> 0.20.3-1.mga7
+ Revision: 1371094
- new version: 0.20.3

* Fri Jan 11 2019 daviddavid <daviddavid> 0.20.2-1.mga7
+ Revision: 1354984
- new version: 0.20.2
- rebuild for new Python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.19.1-4.mga7
+ Revision: 1300591
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 0.19.1-3.mga7
+ Revision: 1211140
- Use python_provide
- Use python[2,3]dist

* Thu Jan 11 2018 daviddavid <daviddavid> 0.19.1-2.mga7
+ Revision: 1192343
- new version: 0.19.1

* Sun Oct 15 2017 joequant <joequant> 0.19.0-2.mga7
+ Revision: 1172136
- add source
- upgrade to 0.19.0

* Sat Aug 05 2017 pterjan <pterjan> 0.17.1-4.mga7
+ Revision: 1135620
- Rebuild for python 3.6

* Thu May 26 2016 daviddavid <daviddavid> 0.17.1-3.mga6
+ Revision: 1018773
- rebuild against fixed python-scipy

* Sun Feb 21 2016 daviddavid <daviddavid> 0.17.1-2.mga6
+ Revision: 975116
- disable tests on arm as they fails

* Sun Feb 21 2016 daviddavid <daviddavid> 0.17.1-1.mga6
+ Revision: 975071
- new version: 0.17.1
- use new python macros
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 0.17-1.mga6
+ Revision: 902760
- new version: 0.17

* Fri Oct 09 2015 daviddavid <daviddavid> 0.16.1-1.mga6
+ Revision: 888208
- new version: 0.16.1
- add an URL for Source
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.15.2-4.mga5
+ Revision: 743912
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15.2-3.mga5
+ Revision: 729715
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15.2-2.mga5
+ Revision: 688318
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 grenoya <grenoya> 0.15.2-1.mga5
+ Revision: 673766
- new version 0.15.2

* Mon Sep 08 2014 grenoya <grenoya> 0.15.1-1.mga5
+ Revision: 673553
- new version 0.15.1
- add python3 support
- re-enable tests
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.14.1-3.mga4
+ Revision: 544151
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.14.1-2.mga4
+ Revision: 499330
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 grenoya <grenoya> 0.14.1-1.mga4
+ Revision: 495506
- new version 0.14.1

* Sun Jan 13 2013 umeabot <umeabot> 0.12-2.mga3
+ Revision: 379470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 0.12-1.mga3
+ Revision: 344035
- disable tests
- new version 0.12
- fix tests (correctly this time)

* Tue Aug 21 2012 grenoya <grenoya> 0.11-1.mga3
+ Revision: 282985
- comment tests (can't pass on BS as it needs to be installed first)
- new version 0.11
- remove patch #0 (merged upstream)
- move to nosetests tests (as indicated by upstream people)

* Fri Sep 23 2011 grenoya <grenoya> 0.9-1.mga2
+ Revision: 147024
- new version 0.9
- fix url

* Sun Jul 17 2011 grenoya <grenoya> 0.8.1-1.mga2
+ Revision: 125407
- clean spec
- add python-nose and python-matplotlib as BuildRequires
- add back check part
- upgrade sources
- rewrite %%file part
- imported package python-scikits-learn

